From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/celluloid-supervision/
Date: Tue, 29 Dec 2015 09:03:05 +0000 (UTC) [thread overview]
Message-ID: <1451379615.c5a80dde8c63296268ba4033e60db65d80fadcd8.graaff@gentoo> (raw)
commit: c5a80dde8c63296268ba4033e60db65d80fadcd8
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 29 08:58:34 2015 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Dec 29 09:00:15 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5a80dde
dev-ruby/celluloid-supervision: add celluloid 0.17.2
Package-Manager: portage-2.2.24
dev-ruby/celluloid-supervision/Manifest | 1 +
.../celluloid-supervision-0.20.5.ebuild | 38 ++++++++++++++++++++++
dev-ruby/celluloid-supervision/metadata.xml | 8 +++++
3 files changed, 47 insertions(+)
diff --git a/dev-ruby/celluloid-supervision/Manifest b/dev-ruby/celluloid-supervision/Manifest
new file mode 100644
index 0000000..716d71c
--- /dev/null
+++ b/dev-ruby/celluloid-supervision/Manifest
@@ -0,0 +1 @@
+DIST celluloid-supervision-0.20.5.tar.gz 16404 SHA256 503dad4bbda90f8c6d0a092f128fa68f48ab24b8fc7707baa38bd208b65af5ea SHA512 0fca953b6ade756574040b8e34e8ac4ea3d392628a9fb14a8d52f39ca3f92371e335520b673dec8fc9a4a44a208b38f51c9c23e2218510078ded64c903533bc8 WHIRLPOOL 665a4594e1cb063d7895cb1abd428518cb8b63d4127571854a372ddbd4955957ee04a838e1d1622197e109bb23a268b75a040b559240df7c25261324e2f2199f
diff --git a/dev-ruby/celluloid-supervision/celluloid-supervision-0.20.5.ebuild b/dev-ruby/celluloid-supervision/celluloid-supervision-0.20.5.ebuild
new file mode 100644
index 0000000..39eb453
--- /dev/null
+++ b/dev-ruby/celluloid-supervision/celluloid-supervision-0.20.5.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Provides a simple and natural way to build fault-tolerant concurrent programs"
+HOMEPAGE="https://github.com/celluloid/celluloid"
+SRC_URI="https://github.com/celluloid/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+IUSE=""
+SLOT="0"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+
+ruby_add_rdepend "
+ >=dev-ruby/timers-4.1.1"
+
+ruby_add_bdepend "test? (
+ >=dev-ruby/celluloid-0.17.2
+ dev-ruby/dotenv
+ dev-ruby/nenv
+ dev-ruby/rspec-retry
+)"
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/d' -e '/coveralls/I s:^:#:' spec/spec_helper.rb || die
+
+ sed -i -e '1irequire "pathname"' spec/spec_helper.rb || die
+ sed -i -e "s:log/test.log:${TMPDIR}/test.log:" .env-dev || die
+}
diff --git a/dev-ruby/celluloid-supervision/metadata.xml b/dev-ruby/celluloid-supervision/metadata.xml
new file mode 100644
index 0000000..c996e6b
--- /dev/null
+++ b/dev-ruby/celluloid-supervision/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>ruby</herd>
+ <upstream>
+ <remote-id type="github">celluloid/celluloid-supervision</remote-id>
+ </upstream>
+</pkgmetadata>
next reply other threads:[~2015-12-29 9:03 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-12-29 9:03 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-01-09 19:26 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/celluloid-supervision/ Markus Meier
2016-01-17 20:03 Fabian Groffen
2016-06-27 4:41 Hans de Graaff
2017-06-25 6:54 Hans de Graaff
2017-06-26 18:39 Hans de Graaff
2018-03-18 19:43 Sergei Trofimovich
2018-03-25 19:58 Sergei Trofimovich
2018-05-05 8:54 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1451379615.c5a80dde8c63296268ba4033e60db65d80fadcd8.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox